## org.eclipse.emf.ecore.resource.impl
Class BinaryResourceImpl.EObjectOutputStream.EClassData

    java.lang.Object
      org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.EObjectOutputStream.EClassData

Enclosing class:
  BinaryResourceImpl.EObjectOutputStream

    protected static class BinaryResourceImpl.EObjectOutputStream.EClassData

extends java.lang.Object

Field Summary
`int` `ePackageID`
`BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData[]` `eStructuralFeatureData`
`int` `id`

Constructor Summary
`protected` `BinaryResourceImpl.EObjectOutputStream.EClassData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ePackageID

    public int ePackageID

### id

    public int id

### eStructuralFeatureData

    public BinaryResourceImpl.EObjectOutputStream.EStructuralFeatureData[] eStructuralFeatureData

Constructor Detail

### BinaryResourceImpl.EObjectOutputStream.EClassData

    protected BinaryResourceImpl.EObjectOutputStream.EClassData()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.